/*
 * See the NOTICE file distributed with this work for information
 * regarding copyright ownership.  This file is licensed
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.fabric3.runtime.development.host;

import javax.xml.namespace.QName;

import org.fabric3.scdl.BindingDefinition;
import org.fabric3.spi.Constants;

/**
 * Represents a wire bound to client code
 *
 * @version $Rev: 856 $ $Date: 2007-08-26 21:43:03 +0100 (Sun, 26 Aug 2007) $
 */
public class ClientBindingDefinition extends BindingDefinition {
    public static final QName BINDING_QNAME = new QName(Constants.FABRIC3_SYSTEM_NS, "binding.development");

    public ClientBindingDefinition() {
        super(BINDING_QNAME);
    }
}
