package org.fabric3.runtime.development.host;

import java.net.URI;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

import org.fabric3.spi.wire.Wire;

/**
 * Default implementation of the ClientWireCache
 *
 * @version $Rev: 32 $ $Date: 2007-05-16 05:48:10 +0100 (Wed, 16 May 2007) $
 */
public class ClientWireCacheImpl implements ClientWireCache {
    private Map<URI, Wire> cache = new ConcurrentHashMap<URI, Wire>();

    public Wire getWire(URI uri) {
        return cache.get(uri);
    }

    public void putWire(URI uri, Wire wire) {
        assert uri != null;
        cache.put(uri, wire);
    }

}
